package com.viettel.campaign.web.controller;

import com.viettel.campaign.service.Producer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import org.apache.log4j.Logger;

/**
 * @author hanv_itsol
 * @project service-campaign
 */
@Slf4j
@RestController
@RequestMapping(value = "/kafka")
public class KafkaController {

    private static final Logger log = Logger.getLogger(KafkaController.class);
    private final Producer producer;

    @Autowired
    KafkaController(Producer producer) {
        this.producer = producer;
    }

    @PostMapping(value = "/publish")
    public void sendMessageToKafkaTopic(@RequestParam("message") String message) {
        log.info("message: " + message);
        this.producer.sendMessage(message);
    }

    @PostMapping(value = "/publish2")
    public void sendMessageToKafkaTopic2(@RequestParam("message") String message) {
        log.info("message: " + message);
        this.producer.sendMessageTopic2(message);
    }
}
